# change from DIANA to OPAL nomenclature: proteins and DNA

delete/COFIMA Q*                     # remove pseudoatoms
delete/COFIMA @PL @NL @LL* @LP @LN   # remove pseudo-linkers

# modify end groups in DNA
attach HTMP C4' C5' O5' P  0.96 108.5 0.0 @first
delete OP1 OP2 P @first
change HTMP O5' @first @HB
change HTMP O5' @first -1
rename HTMP HB @HB
attach HE C4' C3' O3' 0.96 108.5 180.0 @last !@ARG+
change HE O3' @last !@ARG+ @HE
change HE O3' @last !@ARG+ +1

# delete protons
delete HD2 @ASP
delete HE2 @GLU

# attach missing protons
attach HN12 NE CZ NH1 HN11 1.01 119.8  180.0 @ARG
delete/COFIMA  HNZ2                          @LYS
attach HNZ2 CD CE NZ  HNZ1 1.01 109.47 120.0 @LYS
attach HNZ3 CD CE NZ  HNZ1 1.01 109.47 240.0 @LYS

# new residue names
change @ARG @ARG+
change @LYS @LYS+
change @ASP @ASP-
change @GLU @GLU-

# generate connectivities
connect
link 2.5 SG @CYSS SG @CYSS

# N-terminus
attach HN1 C CA N HN  1.014 109.47   0.0 @first
attach HN2 C CA N HN1 1.014 109.47 120.0 @first
attach HN3 C CA N HN1 1.014 109.47 240.0 @first
delete/COFIMA  HN         @first
rename/DIFIMA  HN HN1     @first
change @first @ALA @NALA
change @first @ARG @NARG
change @first @ARG+ @NARG+
change @first @ASN @NASN
change @first @ASP @NASP
change @first @ASP- @NASP-
change @first @CYS @NCYS
change @first @CYSS @NCYSS
change @first @GLN @NGLN
change @first @GLU @NGLU
change @first @GLU- @NGLU-
change @first @GLY @NGLY
change @first @HIS @NHIS
change @first @HIST @NHIST
change @first @HIS+ @NHIS+
change @first @ILE @NILE
change @first @LEU @NLEU
change @first @LYS @NLYS
change @first @LYS+ @NLYS+
change @first @MET @NMET
change @first @PHE @NPHE
change @first @PRO @NPRO
change @first @SER @NSER
change @first @THR @NTHR
change @first @TRP @NTRP
change @first @TYR @NTYR
change @first @VAL @NVAL
change @first @ADE @NADE
change @first @RADE @NRADE
change @first @CYT @NCYT
change @first @RCYT @NRCYT
change @first @GUA @NGUA
change @first @RGUA @NRGUA
change @first @THY @NTHY
change @first @URA @NURA

# C-terminus
attach OB  N CA C O   1.25  117.0  180.0 @last
rename O OA @last
change @last @ALA @CALA
change @last @ARG @CARG
change @last @ARG+ @CARG+
change @last @ASN @CASN
change @last @ASP @CASP
change @last @ASP- @CASP-
change @last @CYS @CCYS
change @last @CYSS @CCYSS
change @last @GLN @CGLN
change @last @GLU @CGLU
change @last @GLU- @CGLU-
change @last @GLY @CGLY
change @last @HIS @CHIS
change @last @HIST @CHIST
change @last @HIS+ @CHIS+
change @last @ILE @CILE
change @last @LEU @CLEU
change @last @LYS @CLYS
change @last @LYS+ @CLYS+
change @last @MET @CMET
change @last @PHE @CPHE
change @last @PRO @CPRO
change @last @SER @CSER
change @last @THR @CTHR
change @last @TRP @CTRP
change @last @TYR @CTYR
change @last @VAL @CVAL
change @last @ADE @CADE
change @last @RADE @CRADE
change @last @CYT @CCYT
change @last @RCYT @CRCYT
change @last @GUA @CGUA
change @last @RGUA @CRGUA
change @last @THY @CTHY
change @last @URA @CURA

# generate connectivities (terminal residues and LPs!)
connect H*=0.4 C*=0.85 N*=0.8 O*=0.7 S*=1.3 P*=1.2 Q*=-999 LP*=0.5 *=0.85
link 2.5 SG @CYSS SG @CYSS
